### Hierarchy

- NockDefinition

## Index

### Properties

- body
- headers
- method
- options
- path
- port
- reqheaders
- response
- scope
- status

## Properties

### Optional body

body: string | any

- Defined in node_modules/@types/nock/index.d.ts:148

### Optional headers

headers: HttpHeaders

- Defined in node_modules/@types/nock/index.d.ts:151

### Optional method

method: undefined | string

- Defined in node_modules/@types/nock/index.d.ts:146

### Optional options

options: Options

- Defined in node_modules/@types/nock/index.d.ts:153

### path

path: string

- Defined in node_modules/@types/nock/index.d.ts:147

### Optional port

port: number | string

- Defined in node_modules/@types/nock/index.d.ts:145

### Optional reqheaders

reqheaders: undefined | object

- Defined in node_modules/@types/nock/index.d.ts:152

### Optional response

response: string | any

- Defined in node_modules/@types/nock/index.d.ts:150

### scope

scope: string

- Defined in node_modules/@types/nock/index.d.ts:144

### Optional status

status: undefined | number

- Defined in node_modules/@types/nock/index.d.ts:149

Generated using TypeDoc